Package com.avaya.core

## Enum LogoutResult

- java.lang.Object
- - java.lang.Enum<LogoutResult>
  - - com.avaya.core.LogoutResult

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<LogoutResult>`

      public enum LogoutResult
      extends java.lang.Enum<LogoutResult>

  Logout response status

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ERROR` | Logout failed
    `SUCCESS` | Logout completed successfully

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LogoutResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static LogoutResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final LogoutResult SUCCESS

      Logout completed successfully

    - #### ERROR

          public static final LogoutResult ERROR

      Logout failed

  - ### Method Detail

    - #### values

          public static LogoutResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogoutResult c : LogoutResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogoutResult valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null